<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema targetNamespace="http://www.hkicl.com.hk/tr" elementFormDefault="qualified"
	attributeFormDefault="unqualified" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:fpml="http://www.fpml.org/FpML-5/reporting" xmlns="http://www.hkicl.com.hk/tr">

	<xsd:import namespace="http://www.fpml.org/FpML-5/reporting"
		schemaLocation="hkicl-tr-fpml-extended.xsd"/>

	<xsd:complexType name="VarianceSwapTransactionSupplement">
		<xsd:complexContent>
			<xsd:extension base="fpml:VarianceSwapTransactionSupplement">
				<xsd:sequence>
					<xsd:element name="varianceExtension" type="VarianceExtension" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">The business day convention to apply to the value date if it would otherwise fall on a day that is not a business day in the specified financial business centers.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<xsd:complexType name="VarianceExtension">
		<xsd:sequence>
			<xsd:element name="varianceCapFactor" type="xsd:decimal" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>Specifies the Variance Cap Factor in respect of a Variance Option Transaction.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="vegaNotionalAmountCurrency" type="fpml:Currency" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>Specifies the Currency in which the Vega Notional Amount is quoted in respect of a Variance Swap Transaction. This will be the same as the currency of the underlying Shares.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="observationEndDate" type="fpml:AdjustableOrRelativeDate" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">The end of the period over which observations are made which are used in the calculation Used when the observation start date differs from the trade date such as for forward starting swaps.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>			
			<xsd:element name="returnType" type="xsd:normalizedString" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Specifies the Type of Return in respect of an Variance Swap Transaction.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="initialPrice" type="fpml:NonNegativeMoney" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Specifies Initial Price respect in a Variance Swap Transaction.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="finalPrice" type="fpml:NonNegativeMoney" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Specifies Final Price respect in a Variance Swap Transaction.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>				
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>
